---
lang: en
title: 'API docs: repository.crudrepositoryimpl._constructor_'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
permalink: /doc/en/lb4/apidocs.repository.crudrepositoryimpl._constructor_.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/repository](./repository.md) &gt; [CrudRepositoryImpl](./repository.crudrepositoryimpl.md) &gt; [(constructor)](./repository.crudrepositoryimpl._constructor_.md)

## CrudRepositoryImpl._constructor_

Constructs a new instance of the `CrudRepositoryImpl` class

<b>Signature:</b>

```typescript
constructor(dataSource: DataSource, entityClass: typeof Entity & {
        prototype: T;
    });
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  dataSource | <code>DataSource</code> |  |
|  entityClass | <code>typeof Entity &amp; {</code><br/><code>        prototype: T;</code><br/><code>    }</code> |  |


